summaryrefslogtreecommitdiff
path: root/manage.sh
diff options
context:
space:
mode:
authorThomas Pointhuber <thomas.pointhuber@gmx.at>2016-03-02 18:41:19 +0100
committerThomas Pointhuber <thomas.pointhuber@gmx.at>2016-03-02 18:41:19 +0100
commitceb70ccb5d81a1081e84bda9b564bf86dca4abc7 (patch)
tree9199bcaa6932f26dec40e54d8e209d70234a8db9 /manage.sh
parent667f7fde39e306d8c217fa72a43e7d3d93ca7127 (diff)
downloadsearxng-ceb70ccb5d81a1081e84bda9b564bf86dca4abc7.tar.gz
searxng-ceb70ccb5d81a1081e84bda9b564bf86dca4abc7.zip
[fix] improve argument parsing of manage.sh
Diffstat (limited to 'manage.sh')
-rwxr-xr-xmanage.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/manage.sh b/manage.sh
index 89d1ddb0e..bc5b73dfd 100755
--- a/manage.sh
+++ b/manage.sh
@@ -71,7 +71,7 @@ locales() {
}
help() {
- [ -z "$1" ] || echo "Error: $1\n"
+ [ -z "$1" ] || echo -e "Error: $1\n"
echo "Searx manage.sh help
Commands
@@ -90,7 +90,7 @@ Commands
"
}
-if type $ACTION 1>/dev/null; then
+if [ -n "$(type -t $ACTION)" ] && [ "$(type -t $ACTION)" = function ]; then
$ACTION
else
help "action not found"